Subject: bug#10907: 24.0.94; Updating display of Customize buffer

From: Glenn Morris <[email-masked]>
Date: Wed, 29 Feb 2012 14:45:32 -0500

Stefan Monnier wrote:

> but being able to have a dynamic set of `choice's would be helpful.

When might you want to use such a thing, as opposed to having :type a
static list that encompasses all possible valid settings?

I can only see it being harmful. Eg if you want to compute the :type
based on whether some external utility is installed on the system, you
could end up with saved settings in ~/.emacs that suddenly become
invalid (wrong type) if said utility gets removed from the system.